Package wx :: Class RadioBox

[frames | no frames]

## Type RadioBox

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                            RadioBox

Proxy of C++ RadioBox class

Method Summary
Control | ``__init__`(self, parent, id, pos, size, style, validator, name)` Create a Control.
bool | ``Create`(self, parent, id, pos, size, style, validator, name)` Do the 2nd phase and create the GUI control.
| ``EnableItem`(*args, **kwargs)` EnableItem(self, unsigned int n, bool enable=True)
int | `FindString(self, s)`
VisualAttributes | ``GetClassDefaultAttributes`(variant)` Get the default attributes for this class. (Static method)
unsigned int | `GetColumnCount(self)`
size_t | `GetCount(self)`
| ``GetItemHelpText`(*args, **kwargs)` GetItemHelpText(self, unsigned int n) -> String
String | `GetItemLabel(self, n)`
| ``GetItemToolTip`(*args, **kwargs)` GetItemToolTip(self, unsigned int item) -> ToolTip
int | `GetNextItem(self, item, dir, style)`
unsigned int | `GetRowCount(self)`
int | `GetSelection(self)`
String | `GetString(self, n)`
String | `GetStringSelection(self)`
| ``IsItemEnabled`(*args, **kwargs)` IsItemEnabled(self, unsigned int n) -> bool
| ``IsItemShown`(*args, **kwargs)` IsItemShown(self, unsigned int n) -> bool
| ``SetItemHelpText`(*args, **kwargs)` SetItemHelpText(self, unsigned int n, String helpText)
| `SetItemLabel(self, n, label)`
| ``SetItemToolTip`(*args, **kwargs)` SetItemToolTip(self, unsigned int item, String text)
| `SetSelection(self, n)`
| `SetString(self, n, label)`
bool | `SetStringSelection(self, s)`
| ``ShowItem`(*args, **kwargs)` ShowItem(self, unsigned int n, bool show=True)

Property Summary
| `ColumnCount`: See `GetColumnCount`
| `Count`: See `GetCount`
| `RowCount`: See `GetRowCount`
| `Selection`: See `GetSelection` and `SetSelection`
| `StringSelection`: See `GetStringSelection` and `SetStringSelection`
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=-1, label=EmptyString, pos=DefaultPosition, size=DefaultSize, choices=wxPyEmptyStringArray, majorDimension=0, style=RA_HORIZONTAL, validator=DefaultValidator, name=RadioBoxNameStr)
(Constructor)

Create a Control. Normally you should only call this from a subclass' __init__ as a plain old wx.Control is not very useful.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    Control
  Overrides:
    `wx.Control.__init__` (inherited documentation)

### Create(self, parent, id=-1, label=EmptyString, pos=DefaultPosition, size=DefaultSize, choices=wxPyEmptyStringArray, majorDimension=0, style=RA_HORIZONTAL, validator=DefaultValidator, name=RadioBoxNameStr)

Do the 2nd phase and create the GUI control.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    bool
  Overrides:
    `wx.Control.Create` (inherited documentation)

### EnableItem(*args, **kwargs)

EnableItem(self, unsigned int n, bool enable=True)

### GetItemHelpText(*args, **kwargs)

GetItemHelpText(self, unsigned int n) -> String

### GetItemToolTip(*args, **kwargs)

GetItemToolTip(self, unsigned int item) -> ToolTip

### IsItemEnabled(*args, **kwargs)

IsItemEnabled(self, unsigned int n) -> bool

### IsItemShown(*args, **kwargs)

IsItemShown(self, unsigned int n) -> bool

### SetItemHelpText(*args, **kwargs)

SetItemHelpText(self, unsigned int n, String helpText)

### SetItemToolTip(*args, **kwargs)

SetItemToolTip(self, unsigned int item, String text)

### ShowItem(*args, **kwargs)

ShowItem(self, unsigned int n, bool show=True)

Static Method Details

### GetClassDefaultAttributes(variant=WINDOW_VARIANT_NORMAL)

Get the default attributes for this class. This is useful if you want to use the same font or colour in your own control as in a standard control -- which is a much better idea than hard coding specific colours or fonts which might look completely out of place on the user's system, especially if it uses themes.

The variant parameter is only relevant under Mac currently and is ignore under other platforms. Under Mac, it will change the size of the returned font. See `wx.Window.SetWindowVariant` for more about this.

  Parameters:
    `variant`
    (type=int)

  Returns:
    VisualAttributes

Property Details

### ColumnCount

See `GetColumnCount`

  Get Method:
    `GetColumnCount`(self)

### Count

See `GetCount`

  Get Method:
    `GetCount`(self)

### RowCount

See `GetRowCount`

  Get Method:
    `GetRowCount`(self)

### Selection

See `GetSelection` and `SetSelection`

  Get Method:
    `GetSelection`(self)
  Set Method:
    `SetSelection`(self, n)

### StringSelection

See `GetStringSelection` and `SetStringSelection`

  Get Method:
    `GetStringSelection`(self)
  Set Method:
    `SetStringSelection`(self, s)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:17 2007 | http://epydoc.sf.net